# azure.mgmt.billing.models module

exception `azure.mgmt.billing.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.billing.models.``EnrollmentAccount`

  Bases: `azure.mgmt.billing.models.resource.Resource`

  An enrollment account resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - principal_name (str) – The account owner’s principal name.

class `azure.mgmt.billing.models.``BillingPeriod`

  Bases: `azure.mgmt.billing.models.resource.Resource`

  A billing period resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - billing_period_start_date (date) – The start of the date range covered by the billing period.
  - billing_period_end_date (date) – The end of the date range covered by the billing period.
  - invoice_ids (list[str]) – Array of invoice ids that associated with.

class `azure.mgmt.billing.models.``DownloadUrl`

  Bases: `msrest.serialization.Model`

  A secure URL that can be used to download a PDF invoice until the URL expires.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - expiry_time (datetime) – The time in UTC at which this download URL will expire.
  - url (str) – The URL to the PDF file.

class `azure.mgmt.billing.models.``ErrorDetails`

  Bases: `msrest.serialization.Model`

  The details of the error.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - code (str) – Error code.
  - message (str) – Error message indicating why the operation failed.
  - target (str) – The target of the particular error.

class `azure.mgmt.billing.models.``ErrorResponse`(error=None)

  Bases: `msrest.serialization.Model`

  Error response indicates that the service is not able to process the incoming request. The reason is provided in the error message.

  Parameters: | error (ErrorDetails) – The details of the error.

class `azure.mgmt.billing.models.``Invoice`(download_url=None)

  Bases: `azure.mgmt.billing.models.resource.Resource`

  An invoice resource can be used download a PDF version of an invoice.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - invoice_period_start_date (date) – The start of the date range covered by the invoice.
  - invoice_period_end_date (date) – The end of the date range covered by the invoice.
  - billing_period_ids (list[str]) – Array of billing perdiod ids that the invoice is attributed to.

  Parameters: | download_url (DownloadUrl) – A secure link to download the PDF version of an invoice. The link will cease to work after its expiry time is reached.

class `azure.mgmt.billing.models.``OperationDisplay`

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – Service provider: Microsoft.Billing.
  - resource (str) – Resource on which the operation is performed: Invoice, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.billing.models.``Operation`(display=None)

  Bases: `msrest.serialization.Model`

  A Billing REST API operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Operation name: {provider}/{resource}/{operation}.
  Parameters: | display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.billing.models.``Resource`

  Bases: `msrest.serialization.Model`

  The Resource model definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id.
  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.billing.models.``EnrollmentAccountPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `EnrollmentAccount` object

class `azure.mgmt.billing.models.``BillingPeriodPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `BillingPeriod` object

class `azure.mgmt.billing.models.``InvoicePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Invoice` object

class `azure.mgmt.billing.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object